Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.3/Core.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.3/Core.cs	(revision 6734)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.3/Core.cs	(revision 6743)
@@ -232,10 +232,10 @@
       int usedCores = 0;
       try {
-        task = wcfService.GetJob(taskId);
+        task = wcfService.GetTask(taskId);
         if (task == null) throw new TaskNotFoundException(taskId);
         if (ConfigManager.Instance.GetFreeCores() < task.CoresNeeded) throw new OutOfCoresException();
         if (ConfigManager.GetFreeMemory() < task.MemoryNeeded) throw new OutOfMemoryException();
         SlaveStatusInfo.IncrementUsedCores(task.CoresNeeded); usedCores = task.CoresNeeded;
-        TaskData taskData = wcfService.GetJobData(taskId);
+        TaskData taskData = wcfService.GetTaskData(taskId);
         if (taskData == null) throw new TaskDataNotFoundException(taskId);
         task = wcfService.UpdateJobState(taskId, TaskState.Calculating, null);
@@ -273,5 +273,5 @@
       Guid taskId = (Guid)taskIdObj;
       try {
-        Task task = wcfService.GetJob(taskId);
+        Task task = wcfService.GetTask(taskId);
         if (task == null) throw new TaskNotFoundException(taskId);
         taskManager.StopTaskAsync(taskId);
@@ -291,5 +291,5 @@
       Guid taskId = (Guid)taskIdObj;
       try {
-        Task task = wcfService.GetJob(taskId);
+        Task task = wcfService.GetTask(taskId);
         if (task == null) throw new TaskNotFoundException(taskId);
         taskManager.PauseTaskAsync(taskId);
@@ -334,9 +334,9 @@
         SlaveStatusInfo.DecrementUsedCores(e.Value.CoresNeeded);
         heartbeatManager.AwakeHeartBeatThread();
-        Task task = wcfService.GetJob(e.Value.TaskId);
+        Task task = wcfService.GetTask(e.Value.TaskId);
         if (task == null) throw new TaskNotFoundException(e.Value.TaskId);
         task.ExecutionTime = e.Value.ExecutionTime;
         TaskData taskData = e.Value.GetTaskData();
-        wcfService.UpdateJobData(task, taskData, configManager.GetClientInfo().Id, TaskState.Paused);
+        wcfService.UpdateTaskData(task, taskData, configManager.GetClientInfo().Id, TaskState.Paused);
       }
       catch (TaskNotFoundException ex) {
@@ -352,9 +352,9 @@
         SlaveStatusInfo.DecrementUsedCores(e.Value.CoresNeeded);
         heartbeatManager.AwakeHeartBeatThread();
-        Task task = wcfService.GetJob(e.Value.TaskId);
+        Task task = wcfService.GetTask(e.Value.TaskId);
         if (task == null) throw new TaskNotFoundException(e.Value.TaskId);
         task.ExecutionTime = e.Value.ExecutionTime;
         TaskData taskData = e.Value.GetTaskData();
-        wcfService.UpdateJobData(task, taskData, configManager.GetClientInfo().Id, TaskState.Finished);
+        wcfService.UpdateTaskData(task, taskData, configManager.GetClientInfo().Id, TaskState.Finished);
       }
       catch (TaskNotFoundException ex) {
@@ -374,9 +374,9 @@
         Exception exception = e.Value.Item3;
 
-        Task task = wcfService.GetJob(slaveTask.TaskId);
+        Task task = wcfService.GetTask(slaveTask.TaskId);
         if (task == null) throw new TaskNotFoundException(slaveTask.TaskId);
         task.ExecutionTime = slaveTask.ExecutionTime;
         if (taskData != null) {
-          wcfService.UpdateJobData(task, taskData, configManager.GetClientInfo().Id, TaskState.Failed, exception.ToString());
+          wcfService.UpdateTaskData(task, taskData, configManager.GetClientInfo().Id, TaskState.Failed, exception.ToString());
         } else {
           wcfService.UpdateJobState(task.Id, TaskState.Failed, exception.ToString());
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.3/WcfService.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.3/WcfService.cs	(revision 6734)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.3/WcfService.cs	(revision 6743)
@@ -55,34 +55,34 @@
 
     #region Task Methods
-    public Task GetJob(Guid jobId) {
-      return CallHiveService(s => s.GetJob(jobId));
+    public Task GetTask(Guid taskId) {
+      return CallHiveService(s => s.GetTask(taskId));
     }
 
-    public void UpdateJob(Task job) {
-      CallHiveService(s => s.UpdateJob(job));
+    public void UpdateTask(Task task) {
+      CallHiveService(s => s.UpdateTask(task));
     }
     #endregion
 
     #region TaskData Methods
-    public TaskData GetJobData(Guid jobId) {
-      return CallHiveService(s => s.GetJobData(jobId));
+    public TaskData GetTaskData(Guid taskId) {
+      return CallHiveService(s => s.GetTaskData(taskId));
     }
 
     /// <summary>
-    /// Uploads the taskData and sets a new jobState (while correctly setting Transferring state)
+    /// Uploads the taskData and sets a new taskState (while correctly setting Transferring state)
     /// </summary>
-    public void UpdateJobData(Task job, TaskData jobData, Guid slaveId, TaskState state, string exception = "") {
+    public void UpdateTaskData(Task task, TaskData taskData, Guid slaveId, TaskState state, string exception = "") {
       CallHiveService(service => {
-        service.UpdateJob(job);
-        job = service.UpdateJobState(job.Id, TaskState.Transferring, slaveId, null, null);
+        service.UpdateTask(task);
+        task = service.UpdateTaskState(task.Id, TaskState.Transferring, slaveId, null, null);
         HiveClient.TryAndRepeat(() => {
-          service.UpdateJobData(job, jobData);
+          service.UpdateTaskData(task, taskData);
         }, Settings.Default.PluginDeletionRetries, "Could not upload jobdata.");
-        service.UpdateJobState(job.Id, state, slaveId, null, exception);
+        service.UpdateTaskState(task.Id, state, slaveId, null, exception);
       });
     }
 
-    public Task UpdateJobState(Guid jobId, TaskState jobState, string exception) {
-      return CallHiveService(s => s.UpdateJobState(jobId, jobState, ConfigManager.Instance.GetClientInfo().Id, null, exception));
+    public Task UpdateJobState(Guid taskId, TaskState taskState, string exception) {
+      return CallHiveService(s => s.UpdateTaskState(taskId, taskState, ConfigManager.Instance.GetClientInfo().Id, null, exception));
     }
     #endregion
